Bug 1872092 - Better rename Snapshot Class to Volume Snapshot Class on Volume Snapshot Details page
Summary: Better rename Snapshot Class to Volume Snapshot Class on Volume Snapshot Deta...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 03:33 UTC by Yadan Pei
Modified: 2020-08-31 07:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Volume Snapshot Details page fields (226.92 KB, image/png)
2020-08-25 04:02 UTC, Yadan Pei
no flags Details
Volume Snapshot Class Details page (150.90 KB, image/png)
2020-08-25 04:06 UTC, Yadan Pei
no flags Details
Volume Snapshot Content Details page (221.28 KB, image/png)
2020-08-25 04:06 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6429 None closed Bug 1872092: Make 'Volume Snapshot *' labels consistent 2020-09-18 09:15:48 UTC

Description Yadan Pei 2020-08-25 03:33:46 UTC
Description of problem:
Volume Snapshot Details page shows a field Snapshot Class with a icon 'vsc' and links to volume snapshot class, better rename it to Volume Snapshot Class, that will be much clear to read

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-24-110601

How reproducible:
Always

Steps to Reproduce:
1. Create a storageclass with provisioner: ebs.csi.aws.com and create a PVC, wait PVC is Bound
2. then create a VolumeSnapshotClass, the driver field is the same with provisioner of storageclass "sc-test":
$ cat volumesnapshotclass-example-aws.yaml 
apiVersion: snapshot.storage.k8s.io/v1beta1
kind: VolumeSnapshotClass
metadata:
  name: test-snapclass-aws
driver: ebs.csi.aws.com
deletionPolicy: Delete
3. Create Volume Snapshots from console, in the Create VolumeSnapshot form, choose Bounded PVC and VolumeSnapshotClass created in step2
4. Check Volume Snapshots details

Actual results:
4. 'Snapshot Class' field on details page is showing a 'VSC' icon and links to volumesnapshot page k8s/cluster/snapshot.storage.k8s.io~v1beta1~VolumeSnapshotClass/xxx 

Expected results:
4. We better show 'Volume Snapshot Class' instead of just 'Snapshot Class', this will be easier to read and consistent with the icon 'vsc'

Additional info:

Comment 1 Yadan Pei 2020-08-25 03:52:40 UTC
also Volume Snapshot Class Details and Volume Snapshot Content Details are showing the same heading "Volume Snapshot Details" which should also be fixed 

on Volume Snapshot Class Details page, we should show 'Volume Snapshot Class Details' heading instead of "Volume Snapshot Details"
on Volume Snapshot Content Details page, we should show 'Volume Snapshot Content Details' heading instead of "Volume Snapshot Details"

Comment 2 Yadan Pei 2020-08-25 04:02:55 UTC
Created attachment 1712470 [details]
Volume Snapshot Details page fields

Comment 3 Yadan Pei 2020-08-25 04:06:00 UTC
Created attachment 1712472 [details]
Volume Snapshot Class Details page

Comment 4 Yadan Pei 2020-08-25 04:06:26 UTC
Created attachment 1712473 [details]
Volume Snapshot Content Details page

Comment 7 Yadan Pei 2020-08-31 05:58:54 UTC
The latest accepted 4.6 nightly 4.6.0-0.nightly-2020-08-27-005538 doesn't include the fix PR 

# export PAYLOAD=registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-08-27-005538
[root@preserved-qe-ui-rhel-1 console]# oc adm release info $PAYLOAD --pullspecs | grep console
  console                                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3a3ccd44b0545258785c52d90d43a2bebc80365f52a7f2eb28601a2957020310
  console-operator                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:741428633e21bddb5f6b86970a6d62f9ed2b762bafd074f2bb7a09aa3aaf5d0a
[root@preserved-qe-ui-rhel-1 console]# export CONSOLE_IMAGE=quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3a3ccd44b0545258785c52d90d43a2bebc80365f52a7f2eb28601a2957020310
[root@preserved-qe-ui-rhel-1 console]# oc image info $CONSOLE_IMAGE | grep commit
             io.openshift.build.commit.id=9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf
[root@preserved-qe-ui-rhel-1 console]# git log 9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf | grep '#6429'   //nothing returns 

Moving back to assigned since no accepted nightly build containing fix PR

Comment 9 Yadan Pei 2020-08-31 07:52:18 UTC
# export PAYLOAD=registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-08-31-012413

# oc adm release info $PAYLOAD --pullspecs | grep console
  console                                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e522401841eb2285ac1605be832e4ae6c072c607622c16583c372c175496cc15
  console-operator                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:aef85259ad1a2c2f91d5b06f938397f0e85162ebc20f77e3cce6537086150fd0

# oc image info $CONSOLE_IMAGE | grep commit
             io.openshift.build.commit.id=569733255aa6727d59b919f586430791567feb87
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/569733255aa6727d59b919f586430791567feb87

# git log 569733255aa6727d59b919f586430791567feb87 | grep '#6429'
    Merge pull request #6429 from rhamilto/bz1872092

Since the PR is tested before PR is merged and PR is included in 4.6.0-0.nightly-2020-08-31-012413, moving to VERIFIED directly


Note You need to log in before you can comment on or make changes to this bug.